package com.zcloud.controller.risk.dto;

import com.zcloud.entity.PageData;

public class RiskpointLogsDto {
    private String risk_unit_name;
    private String parts_name;
    private String is_new;
    private String label;
    private String CAUSE;
    private String risk_descr;
    private String dname5;
    private String measures;
    private String accidents_name;
    private String dept_name_all;
    private String dept_user_name;
    private String user_id;
    private String creat_time;
    private String creator_name;
    private int index;
    private String risk_causes_name;
    private String riskpoint_id;
    private String riskpoint_analysis_id;
    private String inspector_name;

    public RiskpointLogsDto() {
    }

    public RiskpointLogsDto(PageData target) {
        this.risk_unit_name = target.get("RISKUNITNAME") != null ? target.getString("RISKUNITNAME") : "";
        this.parts_name = target.get("PARTSNAME") != null ? target.getString("PARTSNAME") : "";
        this.is_new = target.getString("is_new");
        this.label = target.get("label") != null ? target.getString("label") : "";
        this.CAUSE = target.get("CAUSE") != null ? target.getString("CAUSE") : "";
        this.risk_descr = target.get("RISK_DESCR") != null ? target.getString("RISK_DESCR") : "";
        // 注释：dname5 和 LEVEL_NAME含义相同，自行选择
        this.dname5 = target.get("LEVEL_NAME") != null ? target.getString("LEVEL_NAME") : "";
        this.measures = target.get("MEASURES") != null ? target.getString("MEASURES") : "";
        this.accidents_name = target.get("ACCIDENTS_NAME") != null ? target.getString("ACCIDENTS_NAME") : "";
        this.dept_name_all = target.get("DEPT_NAME_ALL") != null ? target.getString("DEPT_NAME_ALL") : "";
        this.dept_user_name = target.get("DEPT_USER_NAME") != null ? target.getString("DEPT_USER_NAME") : "";
        this.user_id = target.get("USER_ID") != null ? target.getString("USER_ID") : "";
        this.creat_time = target.get("CREATTIME") != null ? target.getString("CREATTIME") : "";
        this.index = (int) target.get("index");
        this.risk_causes_name = target.get("RISK_CAUSES_CNAME") != null ? target.getString("RISK_CAUSES_CNAME") : "";
        this.riskpoint_id = target.get("RISKPOINT_ID") != null ? target.getString("RISKPOINT_ID") : "";
        this.riskpoint_analysis_id = target.get("RISKPOINT_ANALYSIS_ID") != null ? target.getString("RISKPOINT_ANALYSIS_ID") : "";
        this.creator_name = target.get("CREATOR_NAME") != null ? target.getString("CREATOR_NAME") : "";
        this.inspector_name = target.get("INSPECTOR_NAME") != null ? target.getString("INSPECTOR_NAME") : "";
    }

    public String getRisk_unit_name() {
        return risk_unit_name;
    }

    public void setRisk_unit_name(String risk_unit_name) {
        this.risk_unit_name = risk_unit_name;
    }

    public String getParts_name() {
        return parts_name;
    }

    public void setParts_name(String parts_name) {
        this.parts_name = parts_name;
    }

    public String getIs_new() {
        return is_new;
    }

    public void setIs_new(String is_new) {
        this.is_new = is_new;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public String getCAUSE() {
        return CAUSE;
    }

    public void setCAUSE(String CAUSE) {
        this.CAUSE = CAUSE;
    }

    public String getRisk_descr() {
        return risk_descr;
    }

    public void setRisk_descr(String risk_descr) {
        this.risk_descr = risk_descr;
    }

    public String getDname5() {
        return dname5;
    }

    public void setDname5(String dname5) {
        this.dname5 = dname5;
    }

    public String getMeasures() {
        return measures;
    }

    public void setMeasures(String measures) {
        this.measures = measures;
    }

    public String getAccidents_name() {
        return accidents_name;
    }

    public void setAccidents_name(String accidents_name) {
        this.accidents_name = accidents_name;
    }

    public String getDept_name_all() {
        return dept_name_all;
    }

    public void setDept_name_all(String dept_name_all) {
        this.dept_name_all = dept_name_all;
    }

    public String getDept_user_name() {
        return dept_user_name;
    }

    public void setDept_user_name(String dept_user_name) {
        this.dept_user_name = dept_user_name;
    }

    public String getCreat_time() {
        return creat_time;
    }

    public void setCreat_time(String creat_time) {
        this.creat_time = creat_time;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }


    public String getRisk_causes_name() {
        return risk_causes_name;
    }

    public void setRisk_causes_name(String risk_causes_name) {
        this.risk_causes_name = risk_causes_name;
    }

    public String getRiskpoint_id() {
        return riskpoint_id;
    }

    public void setRiskpoint_id(String riskpoint_id) {
        this.riskpoint_id = riskpoint_id;
    }

    public String getRiskpoint_analysis_id() {
        return riskpoint_analysis_id;
    }

    public void setRiskpoint_analysis_id(String riskpoint_analysis_id) {
        this.riskpoint_analysis_id = riskpoint_analysis_id;
    }

    public String getCreator_name() {
        return creator_name;
    }

    public void setCreator_name(String creator_name) {
        this.creator_name = creator_name;
    }

    public String getInspector_name() {
        return inspector_name;
    }

    public void setInspector_name(String inspector_name) {
        this.inspector_name = inspector_name;
    }

    public String getUser_id() {
        return user_id;
    }

    public void setUser_id(String user_id) {
        this.user_id = user_id;
    }
}
